aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar Hoa V. DINH <dinh.viet.hoa@gmail.com>2017-01-02 23:19:48 -0800
committerGravatar Hoa V. DINH <dinh.viet.hoa@gmail.com>2017-01-02 23:26:23 -0800
commit950c5cf36be3f2f70a45a5a28bc687d645b520fe (patch)
tree32e09274545a393a53c8475157778916670d31c3
parent5fd8aeec66a51e4e156c91d59bcbbd7cb5879658 (diff)
Install cmake only if needed
-rwxr-xr-xscripts/travis/before-script.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/scripts/travis/before-script.sh b/scripts/travis/before-script.sh
index 55cd7609..9d8b0a88 100755
--- a/scripts/travis/before-script.sh
+++ b/scripts/travis/before-script.sh
@@ -5,7 +5,9 @@ if test x"`uname`" = xDarwin ; then
sudo systemsetup -settimezone America/Los_Angeles
brew update || brew update || :
brew uninstall xctool && brew install --HEAD xctool
- brew install cmake
+ if ! which cmake >/dev/null ; then
+ brew install cmake
+ fi
elif test x"`uname`" = xLinux ; then
git clone --depth=1 https://github.com/dinhviethoa/libetpan
cd libetpan